diff --git a/src/test/isolation/specs/inherit-temp.spec b/src/test/isolation/specs/inherit-temp.spec
index 31961be63d..5cd251d0aa 100644
--- a/src/test/isolation/specs/inherit-temp.spec
+++ b/src/test/isolation/specs/inherit-temp.spec
@@ -8,12 +8,12 @@
 
 setup
 {
-  CREATE TABLE inh_temp_parent (a int);
+  CREATE TABLE inh_parent (a int);
 }
 
 teardown
 {
-  DROP TABLE inh_temp_parent;
+  DROP TABLE inh_parent;
 }
 
 # Session 1 executes actions which act directly on both the parent and
@@ -22,39 +22,39 @@ teardown
 session "s1"
 setup
 {
-  CREATE TEMPORARY TABLE inh_temp_s1 () INHERITS (inh_temp_parent);
+  CREATE TEMPORARY TABLE inh_temp_child_s1 () INHERITS (inh_parent);
 }
 step "s1_begin" { BEGIN; }
-step "s1_truncate_p" { TRUNCATE inh_temp_parent; }
-step "s1_select_p" { SELECT a FROM inh_temp_parent; }
-step "s1_select_c" { SELECT a FROM inh_temp_s1; }
-step "s1_insert_p" { INSERT INTO inh_temp_parent VALUES (1), (2); }
-step "s1_insert_c" { INSERT INTO inh_temp_s1 VALUES (3), (4); }
-step "s1_update_p" { UPDATE inh_temp_parent SET a = 11 WHERE a = 1; }
-step "s1_update_c" { UPDATE inh_temp_parent SET a = 13 WHERE a = 3; }
-step "s1_delete_p" { DELETE FROM inh_temp_parent WHERE a = 2; }
-step "s1_delete_c" { DELETE FROM inh_temp_parent WHERE a = 4; }
+step "s1_truncate_p" { TRUNCATE inh_parent; }
+step "s1_select_p" { SELECT a FROM inh_parent; }
+step "s1_select_c" { SELECT a FROM inh_temp_child_s1; }
+step "s1_insert_p" { INSERT INTO inh_parent VALUES (1), (2); }
+step "s1_insert_c" { INSERT INTO inh_temp_child_s1 VALUES (3), (4); }
+step "s1_update_p" { UPDATE inh_parent SET a = 11 WHERE a = 1; }
+step "s1_update_c" { UPDATE inh_parent SET a = 13 WHERE a IN (3, 5); }
+step "s1_delete_p" { DELETE FROM inh_parent WHERE a = 2; }
+step "s1_delete_c" { DELETE FROM inh_parent WHERE a IN (4, 6); }
 step "s1_commit" { COMMIT; }
 teardown
 {
-  DROP TABLE inh_temp_s1;
+  DROP TABLE inh_temp_child_s1;
 }
 
 # Session 2 executes actions on the parent which act only on the child.
 session "s2"
 setup
 {
-  CREATE TEMPORARY TABLE inh_temp_s2 () INHERITS (inh_temp_parent);
+  CREATE TEMPORARY TABLE inh_temp_child_s2 () INHERITS (inh_parent);
 }
-step "s2_truncate_p" { TRUNCATE inh_temp_parent; }
-step "s2_select_p" { SELECT a FROM inh_temp_parent; }
-step "s2_select_c" { SELECT a FROM inh_temp_s2; }
-step "s2_insert_c" { INSERT INTO inh_temp_s2 VALUES (5), (6); }
-step "s2_update_c" { UPDATE inh_temp_parent SET a = 15 WHERE a = 5; }
-step "s2_delete_c" { DELETE FROM inh_temp_parent WHERE a = 5; }
+step "s2_truncate_p" { TRUNCATE inh_parent; }
+step "s2_select_p" { SELECT a FROM inh_parent; }
+step "s2_select_c" { SELECT a FROM inh_temp_child_s2; }
+step "s2_insert_c" { INSERT INTO inh_temp_child_s2 VALUES (5), (6); }
+step "s2_update_c" { UPDATE inh_parent SET a = 15 WHERE a IN (3, 5); }
+step "s2_delete_c" { DELETE FROM inh_parent WHERE a IN (4, 6); }
 teardown
 {
-  DROP TABLE inh_temp_s2;
+  DROP TABLE inh_temp_child_s2;
 }
 
 # Check INSERT behavior across sessions
